#ifndef SERVERCONFIGDIALOG_H
#define SERVERCONFIGDIALOG_H

#include <kdialogbase.h>

class BugServerConfig;
class TQLineEdit;
class KPasswordEdit;
class TQComboBox;

class ServerConfigDialog : public KDialogBase
{
    TQ_OBJECT
  
  public:
    ServerConfigDialog( TQWidget *parent = 0 , const char *name = 0 );

    void setServerConfig( const BugServerConfig & );
    BugServerConfig serverConfig();
        
  private:
    TQLineEdit *mServerName;
    TQLineEdit *mServerUrl;
    TQLineEdit *mUser;
    KPasswordEdit *mPassword;
    TQComboBox *mVersion;
};

#endif
